/* $AoiMoe: Grabber.c,v 1.2 2003/02/06 13:34:17 tshiozak Exp $ */

/*-
 * Copyright (c)2003 Takuya SHIOZAKI,
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

#include <X11/IntrinsicP.h>
#include <X11/StringDefs.h>

#include "GrabberP.h"

static void ClassPartInitialize(), ClassInitialize(), Realize();
static Boolean SetValues();

GrabberClassRec grabberClassRec = {
	{ /* core fields */
	  /* superclass               */      (WidgetClass) &widgetClassRec,
	  /* class_name               */      "Grabber",
	  /* widget_size              */      sizeof(GrabberRec),
	  /* class_initialize         */      ClassInitialize,
	  /* class_part_initialize    */      ClassPartInitialize,
	  /* class_inited             */      FALSE,
	  /* initialize               */      NULL,
	  /* initialize_hook          */      NULL,
	  /* realize                  */      Realize,
	  /* actions                  */      NULL,
	  /* num_actions              */      0,
	  /* resources                */      NULL,
	  /* num_resources            */      0,
	  /* xrm_class                */      NULLQUARK,
	  /* compress_motion          */      TRUE,
	  /* compress_exposure        */      TRUE,
	  /* compress_enterleave      */      TRUE,
	  /* visible_interest         */      FALSE,
	  /* destroy                  */      NULL,
	  /* resize                   */      NULL,
	  /* expose                   */      NULL,
	  /* set_values               */      SetValues,
	  /* set_values_hook          */      NULL,
	  /* set_values_almost        */      XtInheritSetValuesAlmost,
	  /* get_values_hook          */      NULL,
	  /* accept_focus             */      NULL,
	  /* version                  */      XtVersion,
	  /* callback_private         */      NULL,
	  /* tm_table                 */      NULL,
	  /* query_geometry           */      XtInheritQueryGeometry,
	  /* display_accelerator      */      XtInheritDisplayAccelerator,
	  /* extension                */      NULL
	},
	{ /* grabber fields */
	  /* dummy                    */      0
	}
};

WidgetClass grabberWidgetClass = (WidgetClass)&grabberClassRec;

static void ClassInitialize()
{
}

static void ClassPartInitialize(WidgetClass klass)
{
}

static void Realize(Widget w, Mask *valueMask, XSetWindowAttributes *attr)
{
	w->core.window = DefaultRootWindow(XtDisplay(w)); /* XXX */
	w->core.width = 1;
	w->core.height = 1;
}

static Boolean SetValues(Widget cur, Widget req, Widget nw, ArgList args,
			 Cardinal *nargs)
{
	return False;
}
